Subject: RE: [mobile-ip] draft-tkn-mobileip-qosbinding-mipv6-00.txt

From: "Hesham Soliman (ERA)" <[email-masked]>
Date: Wed, 25 Jul 2001 15:08:54 +0200

> > 
> > Why do we need CT(oldAR to MAP)? Since downlink data flows thorugh MAP and
> > assuming that QoS was established using h-b-h option, MAP can just store
> > that object along with mobility bindings. So when it receives BU from
> > whaterver router (old or new) for this binding, it knows how to and where to
> > send h-b-h option in BA. Doing CT from AR to MAP will open up can of worms
> > each worm trying to do CT between AR and its application proxy.
> 
> Theoretically the QoS can be stored either in MAP or AR. However, if
> storing 
> in MAP, what happens for an inter-MAP mobility? A MN may initate a new
> BU+QoS from MN-->(nAR)-->MAP? Or ask the oMAP to perform
> CT(oMAP-->nMAP)?
> Or additionally, ask QoS-CT(oMAP-->nAR)? Note we have to further the
> BU+QoS 
> towards the higher level of hierarchy until the switching point (either 
> might be a MAP or HA or even CN), and this may result in a strange
> sequence 
> in BU and QoS setup. 
> 
> In contrast, if storing in MAP, except the case of Fast Handoffs,
> 
	=> You can do the same for the Fast Handoffs case as well. You 
	could check Appendix A of HMIPv6 for the details (no QoS just the 
	interactionwith Fast Handoffs).

	=> Hesham